<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Team extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Team', 'intense' );
		$this->description = __( 'Show off your team members with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_team';
		$this->taxonomy = 'intense_team_position';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_team";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_team_position";

		return parent::shortcode( $atts, $content );
	}
}